Bug 2211828 (CVE-2023-29499)

Summary: CVE-2023-29499 glib: GVariant offset table entry size is not checked in is_normal()
Product: [Other] Security Response Reporter: Dhananjay Arunesh <darunesh>
Component: vulnerabilityAssignee: Nobody <nobody>
Status: NEW --- QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: mcatanza, mdean, rh-spice-bugs, virt-maint, walters
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in GLib. GVariant deserialization fails to validate that the input conforms to the expected format, leading to denial of service.
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 2212704, 2212699, 2212700, 2212701, 2212702, 2212703, 2212705, 2212706, 2212707    
Bug Blocks: 2160453    

Description Dhananjay Arunesh 2023-06-02 07:17:04 UTC
GLib's GVariant deserialization prior to GLib 2.74.4 failed to validate the input conforms to the expected format, leading to denial of service.

Referenves:
https://gitlab.gnome.org/GNOME/glib/-/issues/2794

Comment 1 Dhananjay Arunesh 2023-06-06 07:21:33 UTC
Created glib tracking bugs for this issue:

Affects: epel-all [bug 2212699]


Created glib2 tracking bugs for this issue:

Affects: fedora-37 [bug 2212700]
Affects: fedora-38 [bug 2212704]


Created mingw-glib2 tracking bugs for this issue:

Affects: fedora-37 [bug 2212701]
Affects: fedora-38 [bug 2212707]

Comment 4 errata-xmlrpc 2023-11-07 08:22:09 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2023:6631 https://access.redhat.com/errata/RHSA-2023:6631

Comment 10 Dhananjay Arunesh 2024-01-22 10:22:26 UTC
This vulnerability allows for a denial of service attack to be performed against applications that process  untrusted GVariant input, compromising application availability by consuming excessive processing time or utilizing a large quantity of memory. The most likely threat is from a local user, which may be possible depending on the configuration of the service and the format of parameters that it expects. While a remote attack is possible if the application is configured to read GVariants over a network connection, this is not the default configuration which makes the likelihood low. Because the most widely available attack vector is local and the consequences are limited to denial of service, Red Hat Product Security rates the impact as Low.